LibOFX: OfxAccountInfoRequest Class Reference

LibOFX

Public Member Functions
OfxAccountInfoRequest Class Reference

An account information request. More...

Inheritance diagram for OfxAccountInfoRequest:

## Public Member Functions
| OfxAccountInfoRequest (const OfxFiLogin &fi)
| OfxAccountInfoRequest (const OfxFiLogin &fi)
Public Member Functions inherited from OfxRequest
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const string &msgtype, const string &trntype, const OfxAggregate &aggregate) const
| OfxRequest (const OfxFiLogin &fi)
OfxAggregate | SignOnRequest (void) const
OfxAggregate | RequestMessage (const string &msgtype, const string &trntype, const OfxAggregate &aggregate) const
Public Member Functions inherited from OfxAggregate
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const

## Additional Inherited Members
Protected Attributes inherited from OfxRequest
OfxFiLogin | m_login

## Detailed Description

An account information request.

This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and download a list of all accounts for this user.

Definition at line 37 of file ofx_request_accountinfo.hh.

## Constructor & Destructor Documentation

## ◆ OfxAccountInfoRequest() [1/2]

OfxAccountInfoRequest::OfxAccountInfoRequest | ( | const OfxFiLogin & | fi | ) |

Creates the request aggregate to obtain an account list from this `fi`.

Parameters

  fi | The information needed to log on user into one financial institution

Definition at line 75 of file ofx_request_accountinfo.cpp.

## ◆ OfxAccountInfoRequest() [2/2]

OfxAccountInfoRequest::OfxAccountInfoRequest | ( | const OfxFiLogin & | fi | ) |

Creates the request aggregate to obtain an account list from this `fi`.

Parameters

  fi | The information needed to log on user into one financial institution

The documentation for this class was generated from the following files:

- ofx_request_accountinfo.hh
- ofx_request_accountinfo.cpp